## com.baidubce.services.bos.model
Class CommonPrefixesDeserializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonDeserializer<List<String>>
          com.baidubce.services.bos.model.CommonPrefixesDeserializer

    public class CommonPrefixesDeserializer

extends com.fasterxml.jackson.databind.JsonDeserializer<List<String>>

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`com.fasterxml.jackson.databind.JsonDeserializer.None`

Constructor Summary
`CommonPrefixesDeserializer()`

Method Summary
`List<String>` `deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext deserializationContext)`

Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`deserialize, deserializeWithType, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonPrefixesDeserializer

    public CommonPrefixesDeserializer()

Method Detail

### deserialize

    public List<String> deserialize(com.fasterxml.jackson.core.JsonParser jsonParser,
                                    com.fasterxml.jackson.databind.DeserializationContext deserializationContext)
                             throws IOException,
                                    com.fasterxml.jackson.core.JsonProcessingException

  Specified by:
    `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<List<String>>`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonProcessingException`

Copyright © 2016. All rights reserved.